Skip to content
Soljio Docs
Esc
↑↓navigate↵open⌘Jpreview

Get asynchronous operation status and result; also requires the operation’s original scope.

GET/jobs/{id}
Authorization
AuthorizationBearer token (soljio_sk_<secret>) · headerrequired

Organization-scoped service token created by an owner/admin. Scope requirements are in x-required-scopes; these are service-token grants, not OAuth scopes. Revoked, expired, unknown and suspended-organization credentials all return 401.

Path parameters
idstringrequired
min length 1
Responses
200

Successful read.

dataobjectrequired
Show properties
created_atstring<date-time>required
error_codestring
idstringrequired

Opaque Soljio resource ID.

min length 1
resultobject
Show properties
connectedboolean
deliveredboolean
domain_idstring

Opaque Soljio resource ID.

min length 1
domain_statusstring
Show properties
Any of:
string
string
string
string
string
string
hostnamestring
messageobject
Show properties
Any of:
object
channelstringrequired
htmlstringrequired
subjectstringrequired
textstringrequired
object
bodystringrequired
channelstringrequired
object
bodystringrequired
channelstringrequired
titlestringrequired
sourcestring
Show properties
Any of:
string
string
string
string
versionnumber
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
string
string
updated_atstring<date-time>required
request_idstring<uuid>required
400

invalid_request

errorobjectrequired
Show properties
codestringrequired
Allowed:invalid_request
messagestringrequired
request_idstring<uuid>required
401

unauthorized

errorobjectrequired
Show properties
codestringrequired
Allowed:unauthorized
messagestringrequired
request_idstring<uuid>required
403

forbidden

errorobjectrequired
Show properties
codestringrequired
Allowed:forbidden
messagestringrequired
request_idstring<uuid>required
404

not_found

errorobjectrequired
Show properties
codestringrequired
Allowed:not_found
messagestringrequired
request_idstring<uuid>required
405

method_not_allowed

errorobjectrequired
Show properties
codestringrequired
Allowed:method_not_allowed
messagestringrequired
request_idstring<uuid>required
409

conflict, idempotency_conflict

errorobjectrequired
Show properties
codestringrequired
Allowed:conflictidempotency_conflict
messagestringrequired
request_idstring<uuid>required
413

payload_too_large

errorobjectrequired
Show properties
codestringrequired
Allowed:payload_too_large
messagestringrequired
request_idstring<uuid>required
415

unsupported_media_type

errorobjectrequired
Show properties
codestringrequired
Allowed:unsupported_media_type
messagestringrequired
request_idstring<uuid>required
429

rate_limited

errorobjectrequired
Show properties
codestringrequired
Allowed:rate_limited
messagestringrequired
request_idstring<uuid>required
500

internal_error

errorobjectrequired
Show properties
codestringrequired
Allowed:internal_error
messagestringrequired
request_idstring<uuid>required
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.soljio.com/v0/jobs/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": {
    "created_at": "2019-08-24T14:15:22Z",
    "error_code": "string",
    "id": "string",
    "result": {
      "connected": true,
      "delivered": true,
      "domain_id": "string",
      "domain_status": "pending",
      "hostname": "string",
      "message": {
        "channel": "email",
        "html": "string",
        "subject": "string",
        "text": "string"
      },
      "source": "system",
      "version": 0
    },
    "status": "queued",
    "updated_at": "2019-08-24T14:15:22Z"
  },
  "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"
}